'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _aphrodite = require('aphrodite');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//NPM
var FinishedScreenPreview = function FinishedScreenPreview(_ref) {
  var src = _ref.src;


  return _react2.default.createElement(
    'div',
    { className: (0, _aphrodite.css)(styles.PreviewCard) },
    _react2.default.createElement('img', { className: (0, _aphrodite.css)(styles.preview), src: src })
  );
};

var styles = _aphrodite.StyleSheet.create({
  PreviewCard: {
    display: "flex",
    flexDirection: "column",
    justifyContent: "center",
    minWidth: 150,
    minHeight: 150,
    overflow: "hidden",
    margin: 10,
    color: "black",
    textAlign: "center",
    cursor: "pointer",
    boxShadow: 'rgba(0,0,0,0.39) 0px 0px 2px 0px',
    ":hover": {
      opacity: 0.6
    }
  },
  preview: {
    objectFit: "cover",
    width: "auto",
    height: "auto",
    minWidth: "100%",
    maxWidth: "100%",
    minHeight: "100%",
    maxHeight: "100%",
    float: "left",
    overflow: "hidden"
  }
});

exports.default = FinishedScreenPreview;
module.exports = exports['default'];